Index: /branches/comu-ver2/html/admin/products/maker.php
===================================================================
--- /branches/comu-ver2/html/admin/products/maker.php	(revision 17263)
+++ /branches/comu-ver2/html/admin/products/maker.php	(revision 17263)
@@ -0,0 +1,35 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once("../../require.php");
+require_once(CLASS_EX_PATH . "page_extends/admin/products/LC_Page_Admin_Products_Maker_Ex.php");
+
+// }}}
+// {{{ generate page
+
+$objPage = new LC_Page_Admin_Products_Maker_Ex();
+register_shutdown_function(array($objPage, "destroy"));
+$objPage->init();
+$objPage->process();
+?>
Index: /branches/comu-ver2/html/install/sql/create_table_mysql.sql
===================================================================
--- /branches/comu-ver2/html/install/sql/create_table_mysql.sql	(revision 17162)
+++ /branches/comu-ver2/html/install/sql/create_table_mysql.sql	(revision 17263)
@@ -275,4 +275,5 @@
     sale_unlimited smallint DEFAULT 0,
     category_id int,
+    maker_id int,
     rank int,
     status smallint NOT NULL DEFAULT 2,
@@ -951,4 +952,21 @@
 ) TYPE=InnoDB ;
 
+CREATE TABLE dtb_maker (
+    maker_id auto_increment primary keyl,
+    name text NOT NULL,
+    rank int NOT NULL DEFAULT 0,
+    creator_id int NOT NULL,
+    create_date datetime NOT NULL DEFAULT now(),
+    update_date datetime NOT NULL,
+    del_flg  smallint NOT NULL DEFAULT 0
+) TYPE=InnoDB ;
+
+CREATE TABLE dtb_maker_count (
+    maker_id int NOT NULL,
+    product_count int NOT NULL,
+    create_date datetime NOT NULL DEFAULT Now()
+) TYPE=InnoDB ;
+
+
 CREATE TABLE mtb_permission (
     id text,
Index: /branches/comu-ver2/html/install/sql/create_table_pgsql.sql
===================================================================
--- /branches/comu-ver2/html/install/sql/create_table_pgsql.sql	(revision 17162)
+++ /branches/comu-ver2/html/install/sql/create_table_pgsql.sql	(revision 17263)
@@ -275,4 +275,5 @@
     sale_unlimited int2 DEFAULT 0,
     category_id int4,
+    maker_id int4,
     rank int4,
     status int2 NOT NULL DEFAULT 2,
@@ -953,4 +954,20 @@
 );
 
+CREATE TABLE dtb_maker (
+    maker_id serial NOT NULL,
+    name text NOT NULL,
+    rank int4 NOT NULL DEFAULT 0,
+    creator_id int4 NOT NULL,
+    create_date timestamp NOT NULL DEFAULT now(),
+    update_date timestamp NOT NULL,
+    del_flg  int2 NOT NULL DEFAULT 0
+);
+
+CREATE TABLE dtb_maker_count (
+    maker_id int4 NOT NULL,
+    product_count int4 NOT NULL,
+    create_date timestamp NOT NULL DEFAULT Now()
+);
+
 CREATE TABLE mtb_permission (
     id text,
Index: /branches/comu-ver2/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php
===================================================================
--- /branches/comu-ver2/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 16741)
+++ /branches/comu-ver2/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 17263)
@@ -69,4 +69,16 @@
         $this->arrCatList = $arrRet;
 
+        // 選択中のメーカーIDを判定する
+        $this->maker_id = $objDb->sfGetMakerId($_GET['product_id'], $_GET['maker_id']);
+        // メーカー検索用選択リスト
+        $arrRet = $objDb->sfGetMakerList('', true);
+        if(is_array($arrRet)) {
+            // 文字サイズを制限する
+            foreach($arrRet as $key => $val) {
+                $arrRet[$key] = SC_Utils_Ex::sfCutString($val, SEARCH_CATEGORY_LEN);
+            }
+        }
+        $this->arrMakerList = $arrRet;
+
         $objSubView = new SC_SiteView();
         $objSubView->assignobj($this);
Index: /branches/comu-ver2/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/comu-ver2/data/class/pages/products/LC_Page_Products_List.php	(revision 17193)
+++ /branches/comu-ver2/data/class/pages/products/LC_Page_Products_List.php	(revision 17263)
@@ -125,5 +125,5 @@
 
             // 商品一覧の表示処理
-            $this->lfDispProductsList($arrCategory_id[0], $_GET['name'], $this->disp_number, $_POST['orderby']);
+            $this->lfDispProductsList($arrCategory_id[0], $_GET['name'], $_GET['maker_id'], $this->disp_number, $_POST['orderby']);
 
             // 検索条件を画面に表示
@@ -134,4 +134,11 @@
                 $arrCat = $conn->getOne("SELECT category_name FROM dtb_category WHERE category_id = ?", $arrCategory_id);
                 $arrSearch['category'] = $arrCat;
+            }
+
+            // メーカー検索条件
+            if (strlen($_GET['maker_id']) == 0) {
+                $arrSearch['maker'] = "指定なし";
+            }else{
+                $arrSearch['maker'] = $name = $conn->getOne("SELECT name FROM dtb_maker WHERE maker_id = ?", $_GET['maker_id']);
             }
 
@@ -269,5 +276,5 @@
 
             // 商品一覧の表示処理
-            $this->lfDispProductsList($arrCategory_id[0], $_GET['name'], $this->disp_number, $_REQUEST['orderby']);
+            $this->lfDispProductsList($arrCategory_id[0], $_GET['name'], $_GET['maker_id'], $this->disp_number, $_REQUEST['orderby']);
 
             // 検索条件を画面に表示
@@ -371,5 +378,5 @@
 
     /* 商品一覧の表示 */
-    function lfDispProductsList($category_id, $name, $disp_num, $orderby) {
+    function lfDispProductsList($category_id, $name, $maker_id, $disp_num, $orderby) {
 
         $objQuery = new SC_Query();
@@ -446,4 +453,10 @@
         }
 
+        // メーカーらのWHERE文字列取得
+        if ( $maker_id ) {
+            $where .= " AND maker_id = ? ";
+            $arrval[] = $maker_id;
+        }
+
         if (empty($arrval)) {
             $arrval = array();
Index: /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 17194)
+++ /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 17263)
@@ -176,4 +176,5 @@
                         // カテゴリ件数カウント関数の実行
                         $objDb->sfCategory_Count($objQuery);
+                        $objDb->sfMaker_Count($objQuery);
                     } else {
                         $objQuery->rollback();
Index: /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php	(revision 17263)
+++ /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php	(revision 17263)
@@ -0,0 +1,197 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/LC_Page.php");
+
+/**
+ * メーカー管理 のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id: LC_Page_Admin_Products_Maker.php 16741 2007-11-08 00:43:24Z adachi $
+ */
+class LC_Page_Admin_Products_Maker extends LC_Page {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+        $this->tpl_mainpage = 'products/maker.tpl';
+        $this->tpl_subnavi = 'products/subnavi.tpl';
+        $this->tpl_subno = 'maker';
+        $this->tpl_subtitle = 'メーカー管理';
+        $this->tpl_mainno = 'products';
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        $conn = new SC_DBConn();
+        $objView = new SC_AdminView();
+        $objSess = new SC_Session();
+        $objQuery = new SC_Query();
+        $objDb = new SC_Helper_DB_Ex();
+
+        // 認証可否の判定
+        SC_Utils_Ex::sfIsSuccess($objSess);
+
+        if (!isset($_POST['mode'])) $_POST['mode'] = "";
+
+        // 要求判定
+        switch($_POST['mode']) {
+        // 編集処理
+        case 'edit':
+            // POST値の引き継ぎ
+            $this->arrForm = $_POST;
+            // 入力文字の変換
+            $this->arrForm = $this->lfConvertParam($this->arrForm);
+
+            // エラーチェック
+            $this->arrErr = $this->lfErrorCheck();
+            if(count($this->arrErr) <= 0) {
+                if($_POST['maker_id'] == "") {
+                    $this->lfInsertClass($this->arrForm);	// 新規作成
+                } else {
+                    $this->lfUpdateClass($this->arrForm);	// 既存編集
+                }
+                // 再表示
+                $this->reload();
+            } else {
+                // POSTデータを引き継ぐ
+                $this->tpl_maker_id = $_POST['maker_id'];
+            }
+            break;
+        // 削除
+        case 'delete':
+            $objDb->sfDeleteRankRecord("dtb_maker", "maker_id", $_POST['maker_id'], "", true);
+            // 再表示
+            $this->reload();
+            break;
+        // 編集前処理
+        case 'pre_edit':
+            // 編集項目をDBより取得する。
+            $where = "maker_id = ?";
+            $arrRet = $objQuery->select("name", "dtb_maker", $where, array($_POST['maker_id']));
+            // 入力項目にカテゴリ名を入力する。
+            $this->arrForm['name'] = $arrRet[0]['name'];
+            // POSTデータを引き継ぐ
+            $this->tpl_maker_id = $_POST['maker_id'];
+        break;
+        case 'down':
+            $objDb->sfRankDown("dtb_maker", "maker_id", $_POST['maker_id']);
+            // 再表示
+            $this->reload();
+            break;
+        case 'up':
+            $objDb->sfRankUp("dtb_maker", "maker_id", $_POST['maker_id']);
+            // 再表示
+            $this->reload();
+            break;
+        default:
+            break;
+        }
+
+        // 規格の読込
+        $where = "del_flg <> 1";
+        $objQuery->setorder("rank DESC");
+        $this->arrMaker = $objQuery->select("maker_id, name", "dtb_maker", $where);
+
+        $objView->assignobj($this);
+        $objView->display(MAIN_FRAME);
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+
+    /* DBへの挿入 */
+    function lfInsertClass($arrData) {
+        $objQuery = new SC_Query();
+        // INSERTする値を作成する。
+        $sqlval['name'] = $arrData['name'];
+        $sqlval['rank'] = $objQuery->max("dtb_maker", "rank") + 1;
+        $sqlval['creator_id'] = $_SESSION['member_id'];
+        $sqlval['update_date'] = "Now()";
+        $sqlval['create_date'] = "Now()";
+        // INSERTの実行
+        $ret = $objQuery->insert("dtb_maker", $sqlval);
+        return $ret;
+    }
+
+    /* DBへの更新 */
+    function lfUpdateClass($arrData) {
+        $objQuery = new SC_Query();
+        // UPDATEする値を作成する。
+        $sqlval['name'] = $arrData['name'];
+        $sqlval['update_date'] = "Now()";
+        $where = "maker_id = ?";
+        // UPDATEの実行
+        $ret = $objQuery->update("dtb_maker", $sqlval, $where, array($_POST['maker_id']));
+        return $ret;
+    }
+
+    /* 取得文字列の変換 */
+    function lfConvertParam($array) {
+        // 文字変換
+        $arrConvList['name'] = "KVa";
+
+        foreach ($arrConvList as $key => $val) {
+            // POSTされてきた値のみ変換する。
+            if(isset($array[$key])) {
+                $array[$key] = mb_convert_kana($array[$key] ,$val);
+            }
+        }
+        return $array;
+    }
+
+    /* 入力エラーチェック */
+    function lfErrorCheck() {
+        $objErr = new SC_CheckError();
+        $objErr->doFunc(array("メーカー名", "name", SMTEXT_LEN), array("EXIST_CHECK","SPTAB_CHECK","MAX_LENGTH_CHECK"));
+        if(!isset($objErr->arrErr['name'])) {
+            $objQuery = new SC_Query();
+            $arrRet = $objQuery->select("maker_id, name", "dtb_maker", "del_flg = 0 AND name = ?", array($_POST['name']));
+            // 編集中のレコード以外に同じ名称が存在する場合
+            if ($arrRet[0]['maker_id'] != $_POST['maker_id'] && $arrRet[0]['name'] == $_POST['name']) {
+                $objErr->arrErr['name'] = "※ 既に同じ内容の登録が存在します。<br>";
+            }
+        }
+        return $objErr->arrErr;
+    }
+}
+?>
Index: /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 17193)
+++ /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 17263)
@@ -143,4 +143,5 @@
             // 件数カウントバッチ実行
             $objDb->sfCategory_Count($objQuery);
+            $objDb->sfMaker_Count($objQuery);
         }
 
Index: /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 17109)
+++ /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 17263)
@@ -70,4 +70,5 @@
         $this->arrDELIVERYDATE = $masterData->getMasterData("mtb_delivery_date");
         $this->arrAllowedTag = $masterData->getMasterData("mtb_allowed_tag");
+        $this->arrMaker = SC_Helper_DB_Ex::sfGetIDValueList("dtb_maker", "maker_id", "name");
         $this->tpl_nonclass = true;
     }
@@ -175,4 +176,5 @@
             // 件数カウントバッチ実行
             $objDb->sfCategory_Count($objQuery);
+            $objDb->sfMaker_Count($objQuery);
             // 一時ファイルを本番ディレクトリに移動する
             $this->objUpFile->moveTempFile();
@@ -399,5 +401,5 @@
                             "deliv_fee", "comment1", "comment2", "comment3",
                             "comment4", "comment5", "comment6", "main_list_comment",
-                            "sale_limit", "sale_unlimited", "deliv_date_id");
+                            "sale_limit", "sale_unlimited", "deliv_date_id", "maker_id");
         $arrList = SC_Utils_Ex::arrayDefineIndexes($arrList, $checkArray);
 
@@ -420,4 +422,5 @@
         $sqlval['sale_unlimited'] = $arrList['sale_unlimited'];
         $sqlval['deliv_date_id'] = $arrList['deliv_date_id'];
+        $sqlval['maker_id'] = $arrList['maker_id'];
         $sqlval['update_date'] = "Now()";
         $sqlval['creator_id'] = $_SESSION['member_id'];
@@ -556,4 +559,5 @@
         $objErr->doFunc(array("メーカーURL", "comment1", URL_LEN), array("SPTAB_CHECK", "URL_CHECK", "MAX_LENGTH_CHECK"));
         $objErr->doFunc(array("発送日目安", "deliv_date_id", INT_LEN), array("NUM_CHECK"));
+        $objErr->doFunc(array("メーカー", 'maker_id', INT_LEN), array("NUM_CHECK"));
 
         if($this->tpl_nonclass) {
Index: /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 16741)
+++ /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 17263)
@@ -180,4 +180,5 @@
                     // 商品件数カウント関数の実行
                     $objDb->sfCategory_Count($objQuery);
+                    $objDb->sfMaker_Count($objQuery);
                 } else {
                     $objQuery->rollback();
Index: /branches/comu-ver2/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/comu-ver2/data/class/helper/SC_Helper_DB.php	(revision 17071)
+++ /branches/comu-ver2/data/class/helper/SC_Helper_DB.php	(revision 17263)
@@ -1537,4 +1537,101 @@
     }
 
+    /**
+     * メーカー商品数数の登録を行う.
+     *
+     * @param SC_Query $objQuery SC_Query インスタンス
+     * @return void
+     */
+    function sfMaker_Count($objQuery){
+        $sql = "";
+
+        //テーブル内容の削除
+        $objQuery->query("DELETE FROM dtb_maker_count");
+
+        //各メーカーの商品数を数えて格納
+        $sql = " INSERT INTO dtb_maker_count(maker_id, product_count, create_date) ";
+        $sql .= " SELECT T1.maker_id, count(T2.maker_id), now() ";
+        $sql .= " FROM dtb_maker AS T1 LEFT JOIN dtb_products AS T2";
+        $sql .= " ON T1.maker_id = T2.maker_id ";
+        $sql .= " WHERE T2.del_flg = 0 AND T2.status = 1 ";
+        $sql .= " GROUP BY T1.maker_id, T2.maker_id ";
+        $objQuery->query($sql);
+    }
+
+    /**
+     * 選択中の商品のメーカーを取得する.
+     *
+     * @param integer $product_id プロダクトID
+     * @param integer $maker_id メーカーID
+     * @return array 選択中の商品のメーカーIDの配列
+     *
+     */
+    function sfGetMakerId($product_id, $maker_id = 0, $closed = false) {
+        if ($closed) {
+            $status = "";
+        } else {
+            $status = "status = 1";
+        }
+
+        if(!$this->g_maker_on) {
+            $this->g_maker_on = true;
+            $maker_id = (int) $maker_id;
+            $product_id = (int) $product_id;
+            if(SC_Utils_Ex::sfIsInt($maker_id) && $this->sfIsRecord("dtb_maker","maker_id", $maker_id)) {
+                $this->g_maker_id = array($maker_id);
+            } else if (SC_Utils_Ex::sfIsInt($product_id) && $this->sfIsRecord("dtb_products","product_id", $product_id, $status)) {
+                $objQuery = new SC_Query();
+                $where = "product_id = ?";
+                $maker_id = $objQuery->getCol("dtb_productes", "maker_id", "product_id = ?", array($product_id));
+                $this->g_maker_id = $maker_id;
+            } else {
+                // 不正な場合は、空の配列を返す。
+                $this->g_maker_id = array();
+            }
+        }
+        return $this->g_maker_id;
+    }
+
+    /**
+     * メーカーの取得を行う.
+     *
+     * $products_check:true商品登録済みのものだけ取得する
+     *
+     * @param string $addwhere 追加する WHERE 句
+     * @param bool $products_check 商品の存在するカテゴリのみ取得する場合 true
+     * @return array カテゴリツリーの配列
+     */
+    function sfGetMakerList($addwhere = "", $products_check = false) {
+        $objQuery = new SC_Query();
+        $where = "del_flg = 0";
+
+        if($addwhere != "") {
+            $where.= " AND $addwhere";
+        }
+
+        $objQuery->setoption("ORDER BY rank DESC");
+
+        if($products_check) {
+            $col = "T1.maker_id, name";
+            $from = "dtb_maker AS T1 LEFT JOIN dtb_maker_count AS T2 ON T1.maker_id = T2.maker_id";
+            $where .= " AND product_count > 0";
+        } else {
+            $col = "maker_id, name";
+            $from = "dtb_maker";
+        }
+
+        $arrRet = $objQuery->select($col, $from, $where);
+
+        $max = count($arrRet);
+        for($cnt = 0; $cnt < $max; $cnt++) {
+            $id = $arrRet[$cnt]['maker_id'];
+            $name = $arrRet[$cnt]['name'];
+            $arrList[$id].= $name;
+        }
+        return $arrList;
+    }
+
+
+
 }
 ?>
Index: /branches/comu-ver2/data/Smarty/templates/default/list.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/list.tpl	(revision 16808)
+++ /branches/comu-ver2/data/Smarty/templates/default/list.tpl	(revision 17263)
@@ -62,4 +62,5 @@
     <ul class="pagecondarea">
       <li><strong>商品カテゴリ：</strong><!--{$arrSearch.category|escape}--></li>
+      <!--{if $arrSearch.maker}--><li><strong>メーカー：</strong><!--{$arrSearch.maker|escape}--></li><!--{/if}-->
       <li><strong>商品名：</strong><!--{$arrSearch.name|escape}--></li>
     </ul>
Index: /branches/comu-ver2/data/Smarty/templates/default/bloc/search_products.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/bloc/search_products.tpl	(revision 16583)
+++ /branches/comu-ver2/data/Smarty/templates/default/bloc/search_products.tpl	(revision 17263)
@@ -35,4 +35,12 @@
         </select>
       </p>
+      <!--{if $arrMakerList}-->
+      <p>メーカーから選ぶ
+        <select name="maker_id" class="box142">
+          <option label="すべてのメーカー" value="">すべてのメーカー</option>
+          <!--{html_options options=$arrMakerList selected=$maker_id}-->
+        </select>
+      </p>
+      <!--{/if}-->
       <p><img src="<!--{$TPL_DIR}-->img/side/search_name.gif" width="66" height="10" alt="商品名を入力" /></p>
       <p><input type="text" name="name" class="box142" maxlength="50" value="<!--{$smarty.get.name|escape}-->" /></p>
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/products/confirm.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/products/confirm.tpl	(revision 16956)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/products/confirm.tpl	(revision 17263)
@@ -150,4 +150,10 @@
 								</tr>
 								<tr>
+									<td bgcolor="#f2f1ec" width="160" class="fs12n">メーカー</td>
+									<td bgcolor="#ffffff" width="557" class="fs12n">
+									<!--{$arrMaker[$arrForm.maker_id]|escape}-->
+									</td>
+								</tr>
+								<tr>
 									<td bgcolor="#f2f1ec" width="160" class="fs12n">メーカーURL</td>
 									<td bgcolor="#ffffff" width="557" class="fs12n">
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/products/maker.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/products/maker.tpl	(revision 17263)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/products/maker.tpl	(revision 17263)
@@ -0,0 +1,159 @@
+<!--{*
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+*}-->
+<!--★★メインコンテンツ★★-->
+<table width="878" border="0" cellspacing="0" cellpadding="0" summary=" ">
+<form name="form1" id="form1" method="post" action="./maker.php">
+<input type="hidden" name="mode" value="edit">
+<input type="hidden" name="maker_id" value="<!--{$tpl_maker_id}-->">
+	<tr valign="top">
+		<td background="<!--{$TPL_DIR}-->img/contents/navi_bg.gif" height="402">
+			<!--▼SUB NAVI-->
+			<!--{include file=$tpl_subnavi}-->
+			<!--▲SUB NAVI-->
+		</td>
+		<td class="mainbg" >
+		<table width="737" border="0" cellspacing="0" cellpadding="0" summary=" ">
+			<!--メインエリア-->
+			<tr>
+				<td align="center">
+				<table width="706" border="0" cellspacing="0" cellpadding="0" summary=" ">
+
+					<tr><td height="14"></td></tr>
+					<tr>
+						<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_top.jpg" width="706" height="14" alt=""></td>
+					</tr>
+					<tr>
+						<td background="<!--{$TPL_DIR}-->img/contents/main_left.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
+						<td bgcolor="#cccccc">
+						
+						<!--登録テーブルここから-->
+						<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
+							<tr>
+								<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_top.gif" width="678" height="7" alt=""></td>
+							</tr>
+							<tr>
+								<td background="<!--{$TPL_DIR}-->img/contents/contents_title_left_bg.gif"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_left.gif" width="22" height="12" alt=""></td>
+								<td bgcolor="#636469" width="638" class="fs14n"><span class="white"><!--コンテンツタイトル-->会員規約登録</span></td>
+								<td background="<!--{$TPL_DIR}-->img/contents/contents_title_right_bg.gif"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="18" height="1" alt=""></td>
+							</tr>
+							<tr>
+								<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_bottom.gif" width="678" height="7" alt=""></td>
+							</tr>
+							<tr>
+								<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bar.jpg" width="678" height="10" alt=""></td>
+							</tr>
+						</table>
+
+						<table width="678" border="0" cellspacing="1" cellpadding="8" summary=" ">
+							<tr>
+								<td bgcolor="#f2f1ec" width="160" class="fs12n">メーカー名<span class="red"> *</span></td>
+								<td bgcolor="#ffffff" width="557" class="fs10n">
+								<span class="red12"><!--{$arrErr.name}--></span>
+								<input type="text" name="name" value="<!--{$arrForm.name|escape}-->" maxlength="<!--{$smarty.const.SMTEXT_LEN}-->" style="" size="60" class="box60"/>
+								<span class="red"> （上限<!--{$smarty.const.SMTEXT_LEN}-->文字）</span>
+								</td>
+							</tr>
+						</table>
+						
+						<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
+							<tr>
+								<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
+								<td><img src="<!--{$TPL_DIR}-->img/contents/tbl_top.gif" width="676" height="7" alt=""></td>
+								<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
+							</tr>
+							<tr>
+								<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
+								<td bgcolor="#e9e7de" align="center">
+								<table border="0" cellspacing="0" cellpadding="0" summary=" ">
+									<tr>
+										<td><input type="image" onMouseover="chgImgImageSubmit('<!--{$TPL_DIR}-->img/contents/btn_regist_on.jpg',this)" onMouseout="chgImgImageSubmit('<!--{$TPL_DIR}-->img/contents/btn_regist.jpg',this)" src="<!--{$TPL_DIR}-->img/contents/btn_regist.jpg" width="123" height="24" alt="この内容で登録する" border="0" name="subm"></td>
+									</tr>
+								</table>
+								</td>
+								<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
+							</tr>
+							<tr>
+								<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/tbl_bottom.gif" width="678" height="8" alt=""></td>
+							</tr>
+						</table>
+						
+						<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
+							<tr><td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bar.jpg" width="678" height="10" alt=""></td></tr>
+						</table>
+												
+						<table width="678" border="0" cellspacing="1" cellpadding="8" summary=" ">
+							<tr bgcolor="#f2f1ec" align="center" class="fs12n">
+								<td width="471">メーカー</td>
+								<td width="50">編集</td>
+								<td width="50">削除</td>
+								<td width="70">移動</td>
+							</tr>
+							<!--{section name=cnt loop=$arrMaker}-->
+							<tr bgcolor="<!--{if $tpl_class_id != $arrMaker[cnt].maker_id}-->#ffffff<!--{else}--><!--{$smarty.const.SELECT_RGB}--><!--{/if}-->" class="fs12">
+								<!--{assign var=maker_id value=$arrMaker[cnt].maker_id}-->
+								<td><!--{* 規格名 *}--><!--{$arrMaker[cnt].name|escape}--></td>
+								<td align="center">
+								<!--{if $tpl_maker_id != $arrMaker[cnt].maker_id}-->
+								<a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnModeSubmit('pre_edit', 'maker_id', <!--{$arrMaker[cnt].maker_id}-->); return false;">編集</a>
+								<!--{else}-->
+								編集中
+								<!--{/if}-->
+								</td>
+								<td align="center">
+								<!--{if $arrClassCatCount[$class_id] > 0}-->
+								-
+								<!--{else}-->
+								<a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnModeSubmit('delete', 'maker_id', <!--{$arrMaker[cnt].maker_id}-->); return false;">削除</a>
+								<!--{/if}-->
+								</td>
+								<td align="center">
+								<!--{if $smarty.section.cnt.iteration != 1}-->
+								<a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnModeSubmit('up', 'maker_id', <!--{$arrMaker[cnt].maker_id}-->); return false;" />上へ</a>
+								<!--{/if}-->
+								<!--{if $smarty.section.cnt.iteration != $smarty.section.cnt.last}-->
+								<a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnModeSubmit('down', 'maker_id', <!--{$arrMaker[cnt].maker_id}-->); return false;" />下へ</a>
+								<!--{/if}-->
+								</td>
+							</tr>
+							<!--{/section}-->
+						</table>
+						<!--登録テーブルここまで-->
+						</td>
+						<td background="<!--{$TPL_DIR}-->img/contents/main_right.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
+					</tr>
+					<tr>
+						<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bottom.jpg" width="706" height="14" alt=""></td>
+					</tr>
+					<tr><td height="30"></td></tr>
+
+				</table>
+				</td>
+			</tr>
+			<!--メインエリア-->
+		</table>
+		</td>
+	</tr>
+</form>
+</table>
+<!--★★メインコンテンツ★★-->		
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/products/subnavi.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/products/subnavi.tpl	(revision 17194)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/products/subnavi.tpl	(revision 17263)
@@ -36,4 +36,6 @@
 	<tr><td class=<!--{if $tpl_subno != 'upload_csv_category'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./upload_csv_category.php" onMouseOver="naviStyleChange('upload_csv_category', '#a5a5a5')" <!--{if $tpl_subno != 'upload_csv_category'}-->onMouseOut="naviStyleChange('upload_csv_category', '#636469')"<!--{/if}--> id="upload_csv_category"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">カテゴリ登録CSV</span></a></td></tr>
 	<tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
+	<tr><td class=<!--{if $tpl_subno != 'maker'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./maker.php" onMouseOver="naviStyleChange('maker', '#a5a5a5')" <!--{if $tpl_subno != 'maker'}-->onMouseOut="naviStyleChange('maker', '#636469')"<!--{/if}--> id="maker"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">メーカー管理</span></a></td></tr>
+    <tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
 	<tr><td class=<!--{if $tpl_subno != 'product_rank'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./product_rank.php" onMouseOver="naviStyleChange('product_rank', '#a5a5a5')" <!--{if $tpl_subno != 'product_rank'}-->onMouseOut="naviStyleChange('product_rank', '#636469')"<!--{/if}--> id="product_rank"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">商品並び替え</span></a></td></tr>
 	<tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/products/product.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/products/product.tpl	(revision 16956)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/products/product.tpl	(revision 17263)
@@ -212,4 +212,14 @@
 									</tr>
 									<tr>
+										<td bgcolor="#f2f1ec" width="160" class="fs12n">メーカー<span class="red"> *</span></td>
+										<td bgcolor="#ffffff" width="557" class="fs10n">
+										<span class="red12"><!--{$arrErr.maker_id}--></span>
+										<select name="maker_id" style="<!--{$arrErr.maker_id|sfGetErrorColor}-->">
+										<option value="">選択してください</option>
+										<!--{html_options options=$arrMaker selected=$arrForm.maker_id}-->
+										</select>
+										</td>
+									</tr>
+									<tr>
 										<td bgcolor="#f2f1ec" width="160" class="fs12n">メーカーURL</td>
 										<td bgcolor="#ffffff" width="557" class="fs10n">
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/order/edit.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/order/edit.tpl	(revision 17182)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/order/edit.tpl	(revision 17263)
@@ -109,5 +109,5 @@
 						<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
 							<tr><td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bar.jpg" width="678" height="10" alt=""></td></tr>
-						</table>
+						</tabl>
 						
 						<table width="678" border="0" cellspacing="1" cellpadding="8" summary=" ">
Index: /branches/comu-ver2/data/class_extends/page_extends/admin/products/LC_Page_Admin_Products_Maker_Ex.php
===================================================================
--- /branches/comu-ver2/data/class_extends/page_extends/admin/products/LC_Page_Admin_Products_Maker_Ex.php	(revision 17263)
+++ /branches/comu-ver2/data/class_extends/page_extends/admin/products/LC_Page_Admin_Products_Maker_Ex.php	(revision 17263)
@@ -0,0 +1,68 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/admin/products/LC_Page_Admin_Products_Maker.php");
+
+/**
+ * メーカー管理 のページクラス(拡張).
+ *
+ * LC_Page_Admin_Products_Maker をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id: LC_Page_Admin_Basis_Kiyaku_Ex.php 16741 2007-11-08 00:43:24Z adachi $
+ */
+class LC_Page_Admin_Products_Maker_Ex extends LC_Page_Admin_Products_Maker {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
